.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    position: relative;
    background: transparent;

    &__wrap {
        height: rem(85);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        margin: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
        width: rem(32);
        height: rem(33);
        cursor: pointer;
        stroke: $white;
        border: none;
        outline: none;
        background: transparent;
    }

    &__logo {
        width: rem(99);
        display: block;
    }

    &__main {
        display: flex;
        align-items: center;
    }

    &__nav {
        display: none;
    }

    &__social {
        display: none;
    }

    &--fixed {
        position: absolute;
    }

    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(xl) {

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }

        &__social {
            font-size: 0;
            line-height: 0;
            display: flex;
            align-items: center;

            > * {
                margin-left: rem(24);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &--fixed {
            position: absolute;
        }

        &__nav {
            display: block;
            margin-right: rem(48);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__logo {
            width: rem(188);
        }

        &__wrap {
            height: rem(150);
        }
    }
}

.header-nav {
    margin: 0;
    padding: 0;
    font-size: rem(14);
    list-style: rem(20);
    list-style: none;
    display: flex;
    align-items: center;

    > li {
        position: relative;

        &:not(:last-child) {
            margin-right: rem(24);
        }

        > a {
            color: $white;
            stroke: #776345;
            padding: rem(12) 0;
            white-space: nowrap;
            text-decoration: none;
            display: flex;
            align-items: center;
            transition: .3s;

            &:hover {
                color: #EEB259;
                stroke: #EEB259;
                transition: .3s;
            }

            i {
                font-size: 0;
                line-height: 0;
                flex-shrink: 0;
                height: rem(16);
                display: inline-block;
                margin-left: rem(8);
            }

            span {
                display: inline-block;
            }
        }

        &.hover,
        &:hover {

            > a {
                color: #EEB259;
                stroke: #EEB259;
                transition: .3s;
            }

            .header-nav__children {
                opacity: 1;
                visibility: visible;
                transition: opacity 0.3s;
            }
        }
    }

    &__children {
        top: 100%;
        left: 0;
        margin: 0;
        padding: rem(8);
        min-width: 100%;
        z-index: 100;
        list-style: none;
        white-space: nowrap;
        position: absolute;
        background: #111010;
        border: 1px solid #222;
        font-size: rem(14);
        line-height: rem(20);
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.3s;

        li {

            a {
                padding: rem(8);
                fill: #776345;
                color: #C0C1C9;
                text-decoration: none;
                transition: .3s;
                display: flex;
                align-items: center;
                justify-content: space-between;

                span {
                    display: inline-block;
                }

                i {
                    font-size: 0;
                    line-height: 0;
                    height: rem(16);
                    display: inline-block;
                    margin-left: rem(4);
                    flex-shrink: 0;
                }

                &:hover {
                    color: $white;
                    text-decoration: none;
                    transition: .3s;
                }
            }
        }

        &--double {
            display: grid;
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(18);
        line-height: rem(26);
    }
}
